<?php
namespace ID3\PluginSample;

/**
 * Plugin Rest API 
 * @package ID3\PluginSample
 * Use this class to add REST call ability to your plugin
 * For more infos, see: "Building your REST API"
 */
class Rest extends \ID3\Bases\Rest{

    function __construct(){
        parent::__construct(__NAMESPACE__);

        // Add rest route to be able to call them from the back/front-end via ajax
        $this->addRoute('/hello', [$this, 'hello']);
    }

    // GET: /wp-json/id3-rest/pluginsample/hello
    function hello(){
        return 'This sample REST API says hello!';
    }

}