/**
 * 
 * Main controller file
 * 
 */
id3Plugin
.controller('pluginSampleCtrl', 
function(
    $scope, $rootScope, $q, $timeout, 
    $id3UI, $id3Rest, $id3Settings, $id3Lists){

    // Initial value to signal that the plugin is not quite ready to display informations
    $scope.isReady = false;

    // Change setting values to match your needs. All settings change in form should trigger auto-save
    $scope.settings = {
        someData: ''
    };
    
    $scope.init = function(){
        
        $rootScope.isReady({moduleName: 'pluginSample'}).then(_ => {
            

            $id3Settings.load($scope,'settings').then(_ => {
                
                // TODO: Add more initialisation here. Ex.: Register list, start "First Use Wizard", etc
                console.log('Plugin Sample is ready to do stuff with', $scope.settings);

                
            })
            .then( _ => {
                // When all data is loaded and the user can use the plugin
                $scope.isReady = true;
            });
        });

    }
});


